Package org.jboss.logmanager.handlers

## Enum SyslogHandler.SyslogType

- java.lang.Object
- - java.lang.Enum<SyslogHandler.SyslogType>
  - - org.jboss.logmanager.handlers.SyslogHandler.SyslogType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SyslogHandler.SyslogType>`

Enclosing class:
  SyslogHandler

    public static enum SyslogHandler.SyslogType
    extends java.lang.Enum<SyslogHandler.SyslogType>

The syslog type used for formatting the message.

### Enum Constant Summary

Enum Constants
`RFC3164` Formats the message according the the RFC-3164 specification (http://tools.ietf.org/html/rfc3164#section-4.1
`RFC5424` Formats the message according the the RFC-5424 specification (http://tools.ietf.org/html/rfc5424#section-6

### Method Summary

All Methods Static Methods Concrete Methods
`static SyslogHandler.SyslogType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SyslogHandler.SyslogType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RFC5424

    public static final SyslogHandler.SyslogType RFC5424

Formats the message according the the RFC-5424 specification (http://tools.ietf.org/html/rfc5424#section-6

#### RFC3164

    public static final SyslogHandler.SyslogType RFC3164

Formats the message according the the RFC-3164 specification (http://tools.ietf.org/html/rfc3164#section-4.1

### Method Detail

#### values

    public static SyslogHandler.SyslogType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SyslogHandler.SyslogType c : SyslogHandler.SyslogType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SyslogHandler.SyslogType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null